getPaymentInfo

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
tradeIdyesintegerTrade ID generated by the API

Sample Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getPaymentInfo
-d developerAPIKey=somedeveloperkey
-d clientID=someclientid
-d tradeId=685427152

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
tradeFinancialDetailsstringReturns the trade details as an array

Sample Response

{
    "statusCode": "101",
    "statusDesc": "Ok",
    "TradeFinancialDetails": {
        "id": "956947",
        "developerAPIKey": "bycBeJ3v88HgltlaaxfSeJ6518vbgBL3tAT",
        "offeringId": "25205",
        "accountId": "A49501",
        "partyId": "P28759",
        "party_type": "IndivACParty",
        "escrowId": null,
        "orderId": "114431043",
        "transactionType": "CreditCard",
        "totalAmount": "1959.600000",
        "totalShares": "800.000000",
        "orderStatus": "CREATED",
        "createdDate": "2021-01-06 06:58:38",
        "createdIpAddress": "103.114.208.58",
        "errors": "",
        "documentKey": "",
        "esignStatus": "NOTSIGNED",
        "users": "",
        "field1": "",
        "field2": "",
        "field3": "",
        "RRApprovalStatus": "Pending",
        "RRName": "",
        "RRApprovalDate": "",
        "PrincipalApprovalStatus": "Pending",
        "PrincipalName": "",
        "PrincipalDate": "",
        "archived_status": "0",
        "closeId": "",
        "ccDetails": {
            "accountId": "A49501",
            "tradeId": "114431043",
            "offeringId": "25205",
            "totalAmount": "1959.600000",
            "vantivTransactionId": "83985531626818743",
            "vantivTransactionMessage": "Approved",
            "vantivTokenMessage": "Account number was previously registered",
            "RefNum": "491823605",
            "errors": "",
            "transactionstatus": "Approved",
            "fundStatus": "Submitted",
            "createdDate": "2021-01-06 06:58:59",
            "updatedDate": "2021-01-07 05:57:00"
        }
    }
}

Test it Yourself!

Body Params
string
required
string
required
int32
required
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!